
From: Linda Xie <lxiep@us.ibm.com>

set err to -ENODEV when a new node doesn't have "interrupt" property.


---

 arch/ppc64/kernel/prom.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-prom-interrupts arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-prom-interrupts	2004-02-21 20:58:32.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/prom.c	2004-02-21 20:58:32.000000000 -0800
@@ -2986,8 +2986,10 @@ static int of_finish_dynamic_node(struct
 	/* now do the work of finish_node_interrupts */
 
 	ints = (unsigned int *) get_property(node, "interrupts", &intlen);
-	if (!ints)
+	if (!ints) {
+		err = -ENODEV;
 		goto out;
+	}
 
 	intrcells = prom_n_intr_cells(node);
 	intlen /= intrcells * sizeof(unsigned int);

_
